local forthCombinator = table.deepcopy(data.raw['constant-combinator']['constant-combinator'])

forthCombinator.name = 'forth-combinator'
forthCombinator.minable.result = 'forth-combinator'
for k, direction in pairs(forthCombinator.sprites) do
  for kk, vv in pairs(direction.layers) do
    vv.tint = {r = 0, g = 0, b = 1}
  end
end

local forthCombinatorItem = table.deepcopy(data.raw['item']['constant-combinator'])
forthCombinatorItem.name = 'forth-combinator'
forthCombinatorItem.place_result = 'forth-combinator'

local recipe = {
  type = 'recipe',
  name = 'forth-combinator',
  enabled = true,
  energy_required = 1, -- time to craft in seconds (at crafting speed 1)
  ingredients = {
    {type = 'item', name = 'copper-plate', amount = 1}
  },
  results = {{type = 'item', name = 'forth-combinator', amount = 1}}
}

data:extend{forthCombinator, forthCombinatorItem, recipe}

